<template>
  <div class="text-center">
    <v-dialog
      v-model="dialog"
      width="500"
    >
      <template v-slot:activator="{ on, attrs }">
        <v-btn
          color="red"
          dark
          v-bind="attrs"
          v-on="on"
        >
          Activate
        </v-btn>
      </template>

      <v-card>
        <v-card-title class="text-h5">
          Activate User
        </v-card-title>

        <v-card-text>
          Are you sure you want to activate the user?
        </v-card-text>

        <v-divider></v-divider>

        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn
            color="primary"
            @click="activateUser"
          >
            Yes
          </v-btn>
          <v-btn
            text
            color="depressed"
            @click="dialog = false"
          >
            Cancel
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </div>
</template>


<script>
/* eslint-disable */
  export default {
    data () {
      return {
        dialog: false,
      }
    },

    methods: {
      activateUser(){
          this.$emit('activateUser');
      }
    }
  }

  
</script>